<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use App\Models\Admin;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Hash;

use Illuminate\Support\Facades\Auth;


use Illuminate\Http\Response;

class AdminController extends Controller
{

    public function index()
    {
        return view('admin.home');
    }

    function create(Request $request){

        $request->validate([
            'name'=>'required',
            'email'=>'required|email|unique:admins,email',
            'password'=>'required|min:8|max:30',
            'password_confirmation'=>'required|min:8|max:30|same:password'
        ]);

        $admin= new Admin();
        $admin->name = $request->name;
        $admin->email = $request->email;
        $admin->password = \Hash::make($request->password);
        $admin->role_id = 1;
        $save = $admin->save();
        if($save){
            return redirect()->back()->with('success','You are now registered successfully');
        }
        else{
            return redirect()->back()->with('fail','You are not registered successfully');
        }
    }


    public function check(Request $request)
    {
        $request->validate([
            'email'=>'required|email|exists:admins,email',
            'password'=>'required|min:8|max:30',
        ],[
            'email.exists'=>'This email is not exists on users table'
        ]);

        $creds= $request->only('email','password');
        if( Auth::guard('admin')->attempt($creds) ){

            $show = Auth::guard('admin')->user()->role_id;
//            dd($show);die();
            if($show==1){

                // $expiresAt=now()->addMinute(2);
                // Cache::put('active', Auth::guard('admin')->user()->id, true , $expiresAt);
                //
                // //user last seen
                // Admin::Where('id', Auth::guard('admin')->user()->id)->update(['last_seen'=>now()]);

                return redirect()->route('admin.home');
            }

        }
        else{
            return redirect()->route('admin.login')->with('fail','Your provided credentials are wrong.');
        }

    }

    public function logout(Request $request)
    {

        // Cache::forget('active');

        // Admin::Where('id', Auth::guard('admin')->user()->id)->update(['last_seen'=>'offline']);

        Auth::guard('admin')->logout();
        return redirect()->route('admin.login');
    }


}
