<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator; 
use Illuminate\Http\Request;
use App\Models\Company;
use App\Models\Appliance;


class ApplianceController extends Controller
{
    public function index()
    {
        $appliances = Appliance::paginate(10); 
        return view('admin.appliance.allappliance',compact("appliances")); 
    }
 
    public function store(Request $request)
    {  


           $message = [
            'class.required' => 'The Class field is required.', 
            'type.required' => 'The Type field is required.', 
            'manufacturer.required' => 'The Manufacturer field is required.', 
            'serial_no.required' => 'The Serial No field is required.', 
            'model.required' => 'The Model field is required.', 
        ];

        $validatedData = $request->validate([
           'class' => 'required|string|max:255',
           'type' => 'required|string|max:255',
           'manufacturer' => 'required|string|max:255',
           'serial_no' => 'required',
           'model' => 'required|string|max:255',
        ], $message);

        
         
             $Appliance = new Appliance(); 
             $Appliance->class = $request->class; 
             $Appliance->type = $request->type; 
             $Appliance->manufacturer = $request->manufacturer; 
             $Appliance->serial_no = $request->serial_no; 
             $Appliance->model = $request->model; 
             $Appliance->status = "active";  
             $Appliance->save();

        return response()->json(['success' => true, 'message' => 'Appliance added successfully!']);
 
    }
  
    public function edit($id)
    { 

        $appliance = Appliance::find($id);

        if ($appliance) {
            return response()->json(['success' => true, 'data' => $appliance]);
        } else {
            return response()->json(['success' => false, 'message' => 'Company not found'], 404);
        }

    }
 
    public function update(Request $request, $id)
    {
         $message = [
            'class.required' => 'The Class field is required.', 
            'type.required' => 'The Type field is required.', 
            'manufacturer.required' => 'The Manufacturer field is required.', 
            'serial_no.required' => 'The Serial No field is required.', 
            'model.required' => 'The Model field is required.', 
        ];

        $validatedData = $request->validate([
           'class' => 'required|string|max:255',
           'type' => 'required|string|max:255',
           'manufacturer' => 'required|string|max:255',
           'serial_no' => 'required',
           'model' => 'required|string|max:255',
        ], $message);

        
         
             $Appliance = Appliance::find($id);
             $Appliance->class = $request->class; 
             $Appliance->type = $request->type; 
             $Appliance->manufacturer = $request->manufacturer; 
             $Appliance->serial_no = $request->serial_no; 
             $Appliance->model = $request->model; 
             $Appliance->status = "active";  
             $Appliance->update();

         

        return response()->json(['success' => true, 'message' => 'Appliance Updated successfully!']);
    }
 
    public function destroy($id)
    { 
        $Appliance = Appliance::find($id);
        $Appliance->delete(); 
        return redirect()->back()->with('success', 'Appliance deleted successfully.'); 
    }  
}
