<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator; 
use Illuminate\Http\Request;
use App\Models\Card;
use App\Models\Client;
use App\Models\Remark;

class CardController extends Controller
{ 
    public function store(Request $request)
    {  
        // dd('working');

        // dd($request->all());

           $message = [
            'cardnumber.required' => 'The cardnumber field is required.', 
            'holdername.required' => 'The holdername field is required.', 
            'expiry.required' => 'The expiry date is required.',  
        ];

        $validatedData = $request->validate([
           'cardnumber' => 'required',
           'holdername' => 'required|string|max:255',
           'expiry' => 'required', 
        ], $message);

        
         
             $Card = new Card(); 
             $Card->client_id = $request->client_id; 
             $Card->holder_name = $request->holdername;  
             $Card->number = $request->cardnumber; 
             $Card->expiry = $request->expiry; 
             $Card->status = "active"; 
             $Card->save();

        return response()->json(['success' => true, 'message' => 'Company added successfully!']);
 
    }
    
    public function destroy($id)
    { 
        
        $Card = Card::find($id);   
        $Card->delete();
         return redirect()->back()->with('success', 'Card deleted successfully.'); 
    } 


    public function remark_store(Request $request)
    {  
        // dd('working'); 

           $message = [
            'cardnumber.required' => 'The cardnumber field is required.',  
        ];

        $validatedData = $request->validate([
           'cardnumber' => 'required', 
        ], $message);

        
         
             $Remark = new Remark(); 
             $Remark->client_id = $request->client_id; 
             $Remark->remark = $request->remark; 
             $Card->save();

        return response()->json(['success' => true, 'message' => 'Company added successfully!']);
 
    } 
}
