<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateClientTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('client', function (Blueprint $table) {
           $table->id();
            $table->string('reference')->nullable();  
            $table->integer('salutation')->nullable();
            $table->string('forename')->nullable();
            $table->string('surname')->nullable();
            $table->string('email')->unique();   
            $table->integer('company_id');   
            $table->date('birth_date');
            $table->string('phone');   
            $table->string('landline')->nullable();  
            $table->string('address');
            $table->string('country');
            $table->string('town')->nullable();
            $table->string('city');
            $table->string('postcode')->nullable();
            $table->string('remark')->nullable(); 
            $table->integer('payment_method')->nullable(); 
            $table->string('password')->nullable(); 
            $table->timestamps();

         
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('client');
    }
}
