@extends('admin.layouts.adminmaster')

@section('title', 'All Claims')

@section('content')

    
<div class="card mb-5">
    <div class="position-relative">
        <div class="card-header card-header d-flex justify-content-between">
            <a href="{{route('admin.new_claim')}}" class="btn btn-primary w-auto ml-auto"> Add Claims</a>
        </div>
        <div class="card-body">

            <form method="get" id="search_form" action="{{ route('admin.claims') }}" enctype="multipart/form-data" data-parsley-validate="true"> 
                <div class="row align-items-end">
                     
                    <div class="col-lg-12 mb-3">
                        <div class="d-flex align-items-center gap-2"> 
                            <!-- <button class="btn btn-danger" id="reset" >Clear</button> --> 
                            <button type="submit" class="btn btn-info" id="export" name="export" value="1" >Claims</button>

                        </div>
                    </div>
                </div>
            </form>
             
            <div class="table-wrap" id="tableDiv">
                <div class="table-responsive">
                    <table id="base-style" class="table table-striped table-bordered align-middle w-100">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Claim No</th>
                                <th>Client Name</th> 
                                <th>Policy No</th> 
                                <th>Total Incurred Amount</th>
                                <th>Satlement Date</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>

                            @foreach($claims as $key => $claim)

                            <tr>
                                <td>{{ $key+1 }}</td>
                                <td>{{ $claim->claim_no }}</td>
                                <td>{{ $claim->client_id }}</td>
                                <td>{{ $claim->policy_id }}</td>
                                <td>{{ $claim->total_incurred_amount }}</td>
                                <td>{{ $claim->satlement_date }}</td>
                                 
                                <td>
                                    <div class="dropdown mt-4 mt-sm-0">
                                        <button class="btn btn-light btn-sm dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="true">
                                            <i class="bx bx-dots-horizontal-rounded"></i>
                                        </button>
                                        <div class="dropdown-menu" data-popper-placement="bottom-end">
                                          
                                            <a class="dropdown-item cancel-link" href="{{ url('admin/claim_edit/' . $claim->id ) }}">Edit</a>

                                             <a class="dropdown-item cancel-link" href="{{ route('admin.del_claim' , $claim->id) }}" onclick="return confirm('Are you sure you want to delete this claim?');" >Delete</a> 
                                             
 
                                        </div>
                                    </div>
                                </td>
                            </tr>

                            @endforeach

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
             

@endsection

@section('specificscripts')
<script>
    $("#base-style").DataTable();
</script>
@stop
