@extends('admin.layouts.adminmaster')

@section('title', 'Add Client')

@section('content') 

    
<div class="mb-5">
    <div class="card">
        <div class="card-body">

            <form id="clientForm" enctype="multipart/form-data" action="{{ route('admin.client_store') }}" method="post">
                @csrf

                <div class="row">  
                    <div class="col-12 mb-3">
                        <label class="form-label" for="company_id">Parent Company</label>
                        <div class="position-relative">
                            <select name="company_id" id="company_id" class="select2-single" data-placeholder="Select Parent Company">
                                <option></option>
                                @foreach($companies as $key => $company)
                                <option value="{{ $company->id }}">{{ $company->name }}</option>
                                @endforeach
                            </select>
                            <div class="text-danger error-message" id="company_id_error"></div>
                        </div>
                    </div>
                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="reference">Reference</label>
                        <div class="position-relative">
                            <input type="text" class="form-control" id="reference" name="reference" placeholder="Enter Reference" />
                            <!-- <div class="text-danger error-message" id="reference_error"></div> -->
                        </div>
                    </div>
                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="salutation">Salutation</label>
                        <div class="position-relative">
                            <select name="salutation" id="salutation" class="select2-single" data-placeholder="Select Gender">
                                <option value="1">Mr</option>
                                <option value="2">Miss</option>
                                <option value="3">Mrs</option>
                            </select>
                            <!-- <div class="text-danger error-message" id="salutation_error"></div> -->
                        </div>
                    </div>
                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="forename">Forename</label>
                        <div class="position-relative">
                            <input type="text" class="form-control" id="forename" name="forename" placeholder="Enter Forename" />
                            <div class="text-danger error-message" id="forename_error"></div>
                        </div>
                    </div>
                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="surname">Surname</label>
                        <div class="position-relative">
                            <input type="text" class="form-control" id="surname" name="surname" placeholder="Enter Surname" />
                            <div class="text-danger error-message" id="surname_error"></div>
                        </div>
                    </div>
                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="email">Email Address</label>
                        <div class="position-relative">
                            <input type="email" class="form-control" id="email" name="email" placeholder="Enter Email Address" />
                            <div class="text-danger error-message" id="email_error"></div>
                        </div>
                    </div>
                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="birthday">Birth Date</label>
                        <div class="position-relative">
                            <input type="text" class="form-control flatpicker-dob" id="birthday" name="birthday" placeholder="Enter Birth Date (YYYY-MM-DD)" />
                            <div class="text-danger error-message" id="birthday_error"></div>
                        </div>
                    </div>
                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="phone">Mobile Number</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="phone" name="phone" placeholder="Enter Mobile Number" />
                            <div class="text-danger error-message" id="phone_error"></div>
                        </div>
                    </div>
                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="landline">Landline</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="landline" name="landline" placeholder="Enter Landline Number" />
                            <!-- <div class="text-danger error-message" id="landline_error"></div> -->
                        </div>
                    </div>
                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="country">Country</label>
                        <div class="position-relative">
                            <input type="text" class="form-control" id="country" name="country" placeholder="Enter Country" />
                            <div class="text-danger error-message" id="country_error"></div>
                        </div>
                    </div>
                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="city">City</label>
                        <div class="position-relative">
                            <input type="text" class="form-control" id="city" name="city" placeholder="Enter City/County" />
                            <div class="text-danger error-message" id="city_error"></div>
                        </div>
                    </div>
                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="town">Town</label>
                        <div class="position-relative">
                            <input type="text" class="form-control" id="town" name="town" placeholder="Enter Town" />
                            <div class="text-danger error-message" id="town_error"></div>
                        </div>
                    </div>
                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="postcode">Postcode</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="postcode" name="postcode" placeholder="Enter Postcode" />
                            <div class="text-danger error-message" id="postcode_error"></div>
                        </div>
                    </div>
                    <div class="col-lg-12 mb-3">
                        <label class="form-label" for="address">Address</label>
                        <div class="position-relative">
                            <textarea class="form-control" id="address" name="address" rows="4"></textarea>
                            <div class="text-danger error-message" id="address_error"></div>
                        </div>
                    </div>

                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="payment_method">Payment Method</label>
                        <div class="position-relative">
                            <select name="payment_method" id="payment_method" class="select2-single" data-placeholder="Select Payment Method">
                                <option value="1">Direct Debit</option>
                                <option value="2">Debit Card</option> 
                            </select> 
                        </div>
                    </div>


                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="password">Password</label>
                        <div class="position-relative">
                            <input type="text" class="form-control" id="password" name="password" placeholder="Enter Password" />
                            <div class="text-danger error-message" id="password_error"></div>
                        </div>
                    </div>

                    <div class="col-12">
                        <button class="btn btn-primary" type="submit">Submit</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

@endsection

@section('specificscripts')
 
 <!-- apply validation only -->
 <script>
document.addEventListener('DOMContentLoaded', function() {
    const form = document.getElementById('clientForm');

    form.addEventListener('submit', function(event) {
        let isValid = true;

        // Clear previous errors
        document.querySelectorAll('.error-message').forEach(el => el.textContent = '');

        // Get form fields
        const companyId = document.getElementById('company_id');
        const reference = document.getElementById('reference');
        const salutation = document.getElementById('salutation');
        const forename = document.getElementById('forename');
        const surname = document.getElementById('surname');
        const email = document.getElementById('email');
        const birthday = document.getElementById('birthday');
        const phone = document.getElementById('phone');
        const landline = document.getElementById('landline');
        const country = document.getElementById('country');
        const city = document.getElementById('city');
        const town = document.getElementById('town');
        const postcode = document.getElementById('postcode');
        const address = document.getElementById('address');
         const password = document.getElementById('password');

        // Validate each field
        

        if (companyId.value.trim() === '') {
            isValid = false;
            document.getElementById('company_id_error').textContent = 'Parent Company is required.';
        }

        // if (reference.value.trim() === '') {
        //     isValid = false;
        //     document.getElementById('reference_error').textContent = 'Reference is required.';
        // }

        // if (salutation.value.trim() === '') {
        //     isValid = false;
        //     document.getElementById('salutation_error').textContent = 'Salutation is required.';
        // }

        if (forename.value.trim() === '') {
            isValid = false;
            document.getElementById('forename_error').textContent = 'Forename is required.';
        }

        if (surname.value.trim() === '') {
            isValid = false;
            document.getElementById('surname_error').textContent = 'Surname is required.';
        }

        if (!/^[\w-.]+@([\w-]+\.)+[a-zA-Z]{2,7}$/.test(email.value.trim())) {
            isValid = false;
            document.getElementById('email_error').textContent = 'Invalid email address.';
        }

        if (!/^\d{4}-\d{2}-\d{2}$/.test(birthday.value.trim())) {
            isValid = false;
            document.getElementById('birthday_error').textContent = 'Invalid date format. Use YYYY-MM-DD.';
        }

        if (phone.value.trim() === '' || isNaN(phone.value)) {
            isValid = false;
            document.getElementById('phone_error').textContent = 'Mobile Number is required and must be a number.';
        }

        // if (landline.value.trim() === '' || isNaN(landline.value)) {
        //     isValid = false;
        //     document.getElementById('landline_error').textContent = 'Landline is required and must be a number.';
        // }

        if (country.value.trim() === '') {
            isValid = false;
            document.getElementById('country_error').textContent = 'Country is required.';
        }

        if (city.value.trim() === '') {
            isValid = false;
            document.getElementById('city_error').textContent = 'City is required.';
        }

        if (town.value.trim() === '') {
            isValid = false;
            document.getElementById('town_error').textContent = 'Town is required.';
        }

        if (postcode.value.trim() === '' || isNaN(postcode.value)) {
            isValid = false;
            document.getElementById('postcode_error').textContent = 'Postcode is required and must be a number.';
        }

        if (address.value.trim() === '') {
            isValid = false;
            document.getElementById('address_error').textContent = 'Address is required.';
        }

        if (!isValid) {
            event.preventDefault(); // Prevent form submission if invalid
        }


        if (password.value.trim() === '') {
            isValid = false;
            document.getElementById('password_error').textContent = 'Password is required.';
        }
        
    });
});
</script>


@stop
