@extends('admin.layouts.adminmaster')

@section('title', 'Client')

@section('content')

    
<div class="card mb-5">
    <div class="position-relative">
        <div class="card-header card-header d-flex justify-content-between"> 

            <a class="btn btn-primary w-auto ml-auto" href="#!" data-bs-toggle="modal" data-bs-target="#add-company-modal"><span class="align-middle">Add Company</span></a>

        </div>
        <div class="card-body">
           
            <div class="table-wrap" id="tableDiv">
                <div class="table-responsive">
                    <table id="base-style" class="table table-striped table-bordered align-middle w-100">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Mobile</th>
                                <th>address</th> 
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>

                            @foreach($companies as $key => $company)

                            <tr>
                                <td>{{ $key+1 }}</td>
                                <td>{{ $company->name }}</td>
                                <td>{{ $company->email }}</td>
                                <td>{{ $company->phone }}</td>
                                <td>{{ $company->address }}</td> 
                                <td>
                                    <div class="dropdown mt-4 mt-sm-0">
                                        <button class="btn btn-light btn-sm dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="true">
                                            <i class="bx bx-dots-horizontal-rounded"></i>
                                        </button>
                                        <div class="dropdown-menu" data-popper-placement="bottom-end">
                                            <!-- <a class="dropdown-item cancel-link" href="{{ url('admin/company_edit/' . $company->id ) }}">Edit</a> -->

                                            <a class="dropdown-item cancel-link edit-check" href="#" data-id="{{ $company->id }}">Edit</a>

                                            <a class="dropdown-item cancel-link" href="{{ route('admin.del_company' , $company->id) }}" onclick="return confirm('Are you sure you want to delete this Company?');" >Delete</a> 
                                        </div>
                                    </div>
                                </td>
                            </tr>

                            @endforeach


                        </tbody>
                    </table>

                    {{ $companies->links('admin.company.pagination') }}

                </div>
            </div>
        </div>
    </div>
</div>


<!-- add company model -->
<div class="modal fade" id="add-company-modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Company</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form class="custom-form" id="company-form">
                   @csrf
                    <div class="row">
                        <div class="col-md-12">
                            <div class="mb-3">
                                <label class="form-label" for="name">Name</label>
                                <input type="text" class="form-control" placeholder="Enter Name" id="name" name="name" required />  
                               <div class="invalid-feedback" id="name-error"></div>

                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="mb-3">
                                <label class="form-label" for="email">Email</label>
                                <input type="email" class="form-control" placeholder="Enter Email" id="email" name="email" required />

                                 <div class="invalid-feedback" id="email-error"></div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="mb-3">
                                <label class="form-label" for="phone">Phone No</label>
                                <input type="number" class="form-control" placeholder="Enter Phone No" id="phone" name="phone" required />
                                <div class="invalid-feedback" id="phone-error"></div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="mb-3">
                                <label class="form-label" for="address">Address</label>
                                <textarea class="form-control" id="address" name="address" rows="3"></textarea>
                               <div class="invalid-feedback" id="address-error"></div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-outline-secondary waves-effect waves-light" style="width: 120px;" data-bs-dismiss="modal">No</button>
                <button type="button" class="btn btn-primary" id="submit-btn">Save</button>
            </div>
        </div>
    </div>
</div>

<!-- edit company model -->
<!-- Add/Edit Company Modal -->
<div class="modal fade" id="edit-company-modal" tabindex="-1" aria-labelledby="editCompanyLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="editCompanyLabel">Edit Company</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form class="custom-form" id="edit-company-form">
                    @csrf
                    @method('POST') <!-- Ensure the form uses POST method for update -->
                    <input type="hidden" id="edit-company-id" name="company_id">
                    <div class="mb-3">
                        <label class="form-label" for="edit-name">Name</label>
                        <input type="text" class="form-control" placeholder="Enter Name" id="edit-name" name="name" required />
                        <div class="invalid-feedback" id="edit-name-error"></div>
                    </div>
                    <div class="mb-3">
                        <label class="form-label" for="edit-email">Email</label>
                        <input type="email" class="form-control" placeholder="Enter Email" id="edit-email" name="email" required />
                        <div class="invalid-feedback" id="edit-email-error"></div>
                    </div>
                    <div class="mb-3">
                        <label class="form-label" for="edit-phone">Phone No</label>
                        <input type="number" class="form-control" placeholder="Enter Phone No" id="edit-phone" name="phone" required />
                        <div class="invalid-feedback" id="edit-phone-error"></div>
                    </div>
                    <div class="mb-3">
                        <label class="form-label" for="edit-address">Address</label>
                        <textarea class="form-control" id="edit-address" name="address" rows="3"></textarea>
                        <div class="invalid-feedback" id="edit-address-error"></div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-outline-secondary" data-bs-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" id="update-btn">Update Changes</button>
            </div>
        </div>
    </div>
</div>

             

@endsection

@section('specificscripts')
 
 <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>


<script>
    $(document).ready(function() {
        $('#submit-btn').on('click', function(e) {
            e.preventDefault(); // Prevent the default form submission

            // Get the form element and its data
            var form = $('#company-form'); 
            var url = "{{ route('admin.company_store') }}"; // Fixed syntax error
            var data = form.serialize();

            // Send AJAX request
            $.ajax({
                url: url,
                type: 'POST',
                data: data,
                success: function(response) {
                   
                    alert(response.message);

                    window.location.reload();
                    // $('#add-company-modal').modal('hide'); 
                    // form[0].reset();

                },
                error: function(response) {
                    // Check if validation errors are returned
                     if (response.status === 422) {
                        var errors = response.responseJSON.errors;
                        $.each(errors, function(key, value) {
                            $('#' + key).addClass('is-invalid');
                            $('#' + key + '-error').text(value[0]);
                        });
                    } else {
                        alert('An error occurred. Please try again.');
                    }
                    console.log(response.responseText);
                }
            });
        });
    });
</script>

<script>
    $(document).ready(function() {
        // Handle the edit button click
        $(document).on('click', '.edit-check', function(e) {
            e.preventDefault();
            var companyId = $(this).data('id');

            $.ajax({
                url: '{{ url("admin/company_edit") }}/' + companyId,
                type: 'GET',
                success: function(response) {
                    if (response.success) {
                        var company = response.data;
                        $('#edit-company-id').val(company.id);
                        $('#edit-name').val(company.name);
                        $('#edit-email').val(company.email);
                        $('#edit-phone').val(company.phone);
                        $('#edit-address').val(company.address);
                        $('#edit-company-modal').modal('show');
                    } else {
                        alert(response.message);
                    }
                },
                error: function() {
                    alert('Failed to fetch company data.');
                }
            });
        });

        // Handle the form submission for updating company details
        $('#update-btn').on('click', function(e) {
            e.preventDefault();

            var form = $('#edit-company-form');
            var companyId = $('#edit-company-id').val();
            var url = '{{ url("admin/company_update") }}/' + companyId;
            var data = form.serialize();

            // Clear previous error messages
            $('.invalid-feedback').text('');
            $('.form-control').removeClass('is-invalid');

            $.ajax({
                url: url,
                type: 'POST',
                data: data,
                success: function(response) {
                    if (response.success) {
                        alert(response.message);
                        $('#edit-company-modal').modal('hide');
                        // Optionally, refresh the table or page
                        window.location.reload();
                    } else {
                        alert(response.message);
                    }
                },
                error: function(response) {
                    if (response.status === 422) {
                        var errors = response.responseJSON.errors;
                        $.each(errors, function(key, value) {
                            $('#edit-' + key).addClass('is-invalid');
                            $('#edit-' + key + '-error').text(value[0]);
                        });
                    } else {
                        alert('An error occurred. Please try again.');
                    }
                    console.log(response.responseText);
                }
            });
        });
    });
 
</script>


<script>
    $("#base-style").DataTable();
</script>
@stop
