@extends('admin.layouts.adminmaster')

@section('title', 'Add Policy')

@section('content') 

    
<div class="mb-5">
    <div class="card">
        <div class="card-body">

            <form id="policyForm" enctype="multipart/form-data" action="{{ route('admin.policy_store') }}" method="post">
                @csrf

                <div class="row">  
                    <div class="col-12 mb-3">
                        <label class="form-label" for="client_id">Client Name</label>
                        <div class="position-relative">
                            <select name="client_id" id="client_id" class="select2-single" data-placeholder="Select Client">
                                <option></option>
                                @foreach($clients as $key => $client)
                                <option value="{{ $client->id }}">{{ $client->forename }}</option>
                                @endforeach
                            </select>
                            <div class="text-danger error-message" id="client_id_error"></div>
                        </div>
                    </div>

                    <div class="col-12 mb-3">
                        <label class="form-label" for="appliance_id">Appliance Name</label>
                        <div class="position-relative">
                            <select name="appliance_id" id="appliance_id" class="select2-single" data-placeholder="Select Appliance">
                                <option></option>
                                @foreach($appliances as $key => $appliance)
                                <option value="{{ $appliance->id }}">{{ $appliance->class }}</option>
                                @endforeach
                            </select>
                            <div class="text-danger error-message" id="appliance_id_error"></div>
                        </div>
                    </div>

                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="policy_type">Policy Type</label>
                        <div class="position-relative">
                            <input type="text" class="form-control" id="policy_type" name="policy_type" placeholder="Enter Policy Type" />
                            <div class="text-danger error-message" id="policy_type_error"></div>
                        </div>
                    </div>


                     <!-- <div class="col-lg-6 mb-3">
                        <label class="form-label" for="plan_number">Plan Number</label>
                        <div class="position-relative">
                            <input type="text" class="form-control" id="plan_number" name="plan_number" placeholder="Enter Plan Number" />
                            <div class="text-danger error-message" id="plan_number_error"></div>
                        </div>
                    </div> -->

                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="start_date">Start Date</label>
                        <div class="position-relative">
                            <input type="text" class="form-control flatpicker-startdate" id="start_date" name="start_date" placeholder="Enter Start Date (YYYY-MM-DD)" />
                            <div class="text-danger error-message" id="start_date_error"></div>
                        </div>
                    </div>

                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="end_date">End Date</label>
                        <div class="position-relative">
                            <input type="text" class="form-control flatpicker-enddate" id="end_date" name="end_date" placeholder="Enter End Date (YYYY-MM-DD)" />
                            <div class="text-danger error-message" id="end_date_error"></div>
                        </div>
                    </div>

                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="gross_premium_ipt">Gross Premium IPT</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="gross_premium_ipt" name="gross_premium_ipt" placeholder="Enter Gross Premium IPT" />
                            <div class="text-danger error-message" id="gross_premium_ipt_error"></div>
                        </div>
                    </div>

                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="gross_premium">Gross Premium</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="gross_premium" name="gross_premium" placeholder="Enter Gross Premium" />
                            <div class="text-danger error-message" id="gross_premium_error"></div>
                        </div>
                    </div>


                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="tax">Tax</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="tax" name="tax" placeholder="Enter Tax" />
                            <div class="text-danger error-message" id="tax_error"></div>
                        </div>
                    </div>


                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="ipt_amount">IPT Amount</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="ipt_amount" name="ipt_amount" placeholder="Enter IPT Amount" />
                            <div class="text-danger error-message" id="ipt_amount_error"></div>
                        </div>
                    </div>


                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="commission_amount">Commission Amount</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="commission_amount" name="commission_amount" placeholder="Enter Commission Amount" />
                            <div class="text-danger error-message" id="commission_amount_error"></div>
                        </div>
                    </div>

                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="recurring_payment_amount">Recurring Payment Amount</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="recurring_payment_amount" name="recurring_payment_amount" placeholder="Enter Recurring Payment Amount" />
                            <div class="text-danger error-message" id="recurring_payment_amount_error"></div>
                        </div>
                    </div>

                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="payment_frequency">Payment Frequency</label>
                        <div class="position-relative">
                            <select name="payment_frequency" id="payment_frequency" class="select2-single" data-placeholder="Select Payment Frequency">
                                <option value="1">Monthly</option>
                                <option value="2">Quarterly</option>
                                <option value="3">Yealry</option>
                            </select> 
                        </div>
                    </div>

                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="payment_term">Payment Terms</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="payment_term" name="payment_term" placeholder="Enter Payment Term" />
                            <div class="text-danger error-message" id="payment_term_error"></div>
                        </div>
                    </div>


                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="margin_payable">Margin Payable</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="margin_payable" name="margin_payable" placeholder="Enter Margin Payable" />
                            <div class="text-danger error-message" id="margin_payable_error"></div>
                        </div>
                    </div>



                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="claims_fund">Claims Fund</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="claims_fund" name="claims_fund" placeholder="Enter Claims Fund" />
                            <div class="text-danger error-message" id="claims_fund_error"></div>
                        </div>
                    </div>


                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="total_remitted">Total Remitted</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="total_remitted" name="total_remitted" placeholder="Enter Total Remitted" />
                            <div class="text-danger error-message" id="total_remitted_error"></div>
                        </div>
                    </div>



                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="bastion_net_premium">Bastion Net Premium</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="bastion_net_premium" name="bastion_net_premium" placeholder="Enter Bastion Net Premium" />
                            <div class="text-danger error-message" id="bastion_net_premium_error"></div>
                        </div>
                    </div>
  
                    <div class="col-12">
                        <button class="btn btn-primary" type="submit">Submit</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

@endsection

@section('specificscripts')
 
 <!-- apply validation only -->
 <script>
document.addEventListener('DOMContentLoaded', function() {
    const form = document.getElementById('policyForm');

    form.addEventListener('submit', function(event) {
        let isValid = true;

        // Clear previous errors
        document.querySelectorAll('.error-message').forEach(el => el.textContent = '');

        // Get form fields
        const client_id = document.getElementById('client_id');
        const appliance_id = document.getElementById('appliance_id');
        const policy_type = document.getElementById('policy_type');
        // const plan_number = document.getElementById('plan_number');
        const start_date = document.getElementById('start_date');
        const end_date = document.getElementById('end_date');
        const gross_premium_ipt = document.getElementById('gross_premium_ipt');
        const gross_premium = document.getElementById('gross_premium');
        const tax = document.getElementById('tax');
        const ipt_amount = document.getElementById('ipt_amount');
        const commission_amount = document.getElementById('commission_amount');
        const recurring_payment_amount = document.getElementById('recurring_payment_amount');  
        const payment_term = document.getElementById('payment_term');  

        // Validate each field
        

        if (client_id.value.trim() === '') {
            isValid = false;
            document.getElementById('client_id_error').textContent = 'Client Id is required.';
        }

        if (appliance_id.value.trim() === '') {
            isValid = false;
            document.getElementById('appliance_id_error').textContent = 'Appliance Id is required.';
        }

        if (policy_type.value.trim() === '') {
            isValid = false;
            document.getElementById('policy_type_error').textContent = 'Policy Type is required.';
        }

        // if (plan_number.value.trim() === '') {
        //     isValid = false;
        //     document.getElementById('plan_number_error').textContent = 'Plan Number is required.';
        // }

        if (start_date.value.trim() === '') {
            isValid = false;
            document.getElementById('start_date_error').textContent = 'Start Date is required.';
        }

        if (end_date.value.trim() === '') {
            isValid = false;
            document.getElementById('end_date_error').textContent = 'End Date is required.';
        }
 
 

        if (gross_premium_ipt.value.trim() === '' || isNaN(gross_premium_ipt.value)) {
            isValid = false;
            document.getElementById('gross_premium_ipt_error').textContent = 'Gross Premium IPT is required and must be a number.';
        }


        if (gross_premium.value.trim() === '' || isNaN(gross_premium.value)) {
            isValid = false;
            document.getElementById('gross_premium_error').textContent = 'Gross Premium is required and must be a number.';
        }

         if (tax.value.trim() === '' || isNaN(tax.value)) {
            isValid = false;
            document.getElementById('tax_error').textContent = 'Tax is required and must be a number.';
        }


        if (ipt_amount.value.trim() === '' || isNaN(ipt_amount.value)) {
            isValid = false;
            document.getElementById('ipt_amount_error').textContent = 'IPT Amount is required and must be a number.';
        }


        if (commission_amount.value.trim() === '' || isNaN(commission_amount.value)) {
            isValid = false;
            document.getElementById('commission_amount_error').textContent = 'Commission Amount is required and must be a number.';
        }



        if (recurring_payment_amount.value.trim() === '' || isNaN(recurring_payment_amount.value)) {
            isValid = false;
            document.getElementById('recurring_payment_amount_error').textContent = 'Recurring Payment Amount is required and must be a number.';
        }


         if (payment_term.value.trim() === '' || isNaN(payment_term.value)) {
            isValid = false;
            document.getElementById('payment_term_error').textContent = 'Payment Terms is required and must be a number.';
        }
 
         

        if (!isValid) {
            event.preventDefault(); // Prevent form submission if invalid
        }
    });
});




  $(".flatpicker-enddate").flatpickr({
        dateFormat: "Y-m-d",
        // maxDate: "today"
    });

      $(".flatpicker-startdate").flatpickr({
        dateFormat: "Y-m-d",
        // maxDate: "today"
    });

</script>


@stop
