<?php

// use App\Http\Controllers\Auth\LoginController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\user\UserController;
use App\Http\Controllers\admin\AdminController;  
use App\Http\Controllers\admin\BannerController;
use App\Http\Controllers\admin\CategoryController;
use Illuminate\Support\Facades\Auth;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

// Route::view('/welcome', 'welcome')->name('welcome');

// Route::get('/','HomeController@index')->name('home'); 


//cache clear
Route::get('/clear', function () {
    Artisan::call('cache:clear');
    Artisan::call('route:clear');
    Artisan::call('config:clear');
    Artisan::call('view:clear');
    Artisan::call('config:cache');
    Session::forget('cart');
    return "Cache is cleared";
});



 //For admin pages and middleware
 Route::prefix('admin')->name('admin.')->group(function () {

       //for admin guest
       Route::middleware(['guest:admin'])->group(function(){

       Route::view('/','admin.login')->name('login');
       Route::view('/login','admin.login')->name('login');
       Route::view('/register','admin.register')->name('register');
       Route::post('/create',[AdminController::class,'create'])->name('create');
       Route::post('/check',[AdminController::class,'check'])->name('check');

       });


       //for admin guest
        Route::middleware(['auth:admin'])->group(function(){
        // Route::get('fail','RtxchanceController@index')->name('fail');
        Route::get('home','admin\AdminController@index')->name('home');
        Route::post('/logout','admin\AdminController@logout')->name('logout'); 
        // for admin other routes



        //company 
        Route::post('/company_store','admin\CompanyController@store')->name('company_store');
        Route::get('/company','admin\CompanyController@index')->name('company'); 
        Route::get('/company_edit/{id}','admin\CompanyController@edit')->name('company_edit');
        Route::Post('/company_update/{id}','admin\CompanyController@update')->name('company_update');  
        Route::get('/del_company/{id}','admin\CompanyController@destroy')->name('del_company'); 
  



        //client
        Route::get('/new_client','admin\ClientController@create')->name('new_client');
        Route::post('/client_store','admin\ClientController@store')->name('client_store');
        Route::get('/clients','admin\ClientController@index')->name('clients');
        Route::get('/client_edit/{id}','admin\ClientController@edit')->name('client_edit');
        Route::post('/client_update/{id}','admin\ClientController@update')->name('client_update');
        Route::get('/del_client/{id}','admin\ClientController@destroy')->name('del_client'); 
        Route::get('/client_view/{id}','admin\ClientController@view')->name('client_view');
        Route::post('/remark_update/{id}','admin\ClientController@remark_update')->name('remark_update');


        //card 
        Route::post('/card_store','admin\CardController@store')->name('card_store');   
        Route::get('/del_card/{id}','admin\CardController@destroy')->name('del_card'); 

        
         //appliance 
        Route::post('/appliance_store','admin\ApplianceController@store')->name('appliance_store');
        Route::get('/appliance','admin\ApplianceController@index')->name('appliance'); 
        Route::get('/appliance_edit/{id}','admin\ApplianceController@edit')->name('appliance_edit');
        Route::Post('/appliance_update/{id}','admin\ApplianceController@update')->name('appliance_update');  
        Route::get('/del_appliance/{id}','admin\ApplianceController@destroy')->name('del_appliance'); 



        //policy
        Route::get('/new_policy','admin\PolicyController@create')->name('new_policy');
        Route::post('/policy_store','admin\PolicyController@store')->name('policy_store');
        Route::get('/policies','admin\PolicyController@index')->name('policies');
        Route::get('/policy_edit/{id}','admin\PolicyController@edit')->name('policy_edit');
        Route::post('/policy_update/{id}','admin\PolicyController@update')->name('policy_update');
        Route::get('/del_policy/{id}','admin\PolicyController@destroy')->name('del_policy'); 


        //claim
        Route::get('/new_claim','admin\ClaimController@create')->name('new_claim');
        Route::post('/claim_store','admin\ClaimController@store')->name('claim_store');
        Route::get('/claims','admin\ClaimController@index')->name('claims');
        Route::get('/claim_edit/{id}','admin\ClaimController@edit')->name('claim_edit');
        Route::post('/claim_update/{id}','admin\ClaimController@update')->name('claim_update');
        Route::get('/del_claim/{id}','admin\ClaimController@destroy')->name('del_claim');  



           //Pages
           Route::get('/new_page', 'admin\PageController@create')->name('new_page');
           Route::post('/page/store','admin\PageController@store');
           Route::get('/page', 'admin\PageController@index')->name('page');
           Route::get('/page_edit/{id}','admin\PageController@edit')->name('page_edit');
           Route::put('/page/update/{id}','admin\PageController@update')->name('page_update');
           Route::get('/del_page/{id}','admin\PageController@destroy')->name('del_page');
           Route::POST('/sort_page','admin\PageController@sort_page')->name('sort_page');
 

        });

});




 
 

// Auth::routes();
