<?php if($paginator->hasPages()): ?>
    <div class="row mt-2 justify-content-between">
        <div class="col-md-auto me-auto">
            <div class="dt-info" aria-live="polite" role="status">
                Showing <?php echo e($paginator->firstItem()); ?> to <?php echo e($paginator->lastItem()); ?> of <?php echo e($paginator->total()); ?> entries
            </div>
        </div>
        <div class="col-md-auto ms-auto">
            <div class="dt-paging paging_full_numbers">
                <ul class="pagination">
                    
                    <?php if($paginator->onFirstPage()): ?>
                        <li class="dt-paging-button page-item disabled">
                            <a class="page-link first" aria-controls="base-style" aria-disabled="true" aria-label="First" data-dt-idx="first" tabindex="-1">«</a>
                        </li>
                    <?php else: ?>
                        <li class="dt-paging-button page-item">
                            <a class="page-link first" href="<?php echo e($paginator->url(1)); ?>" aria-controls="base-style" aria-label="First" data-dt-idx="first">«</a>
                        </li>
                    <?php endif; ?>

                    
                    <?php if($paginator->onFirstPage()): ?>
                        <li class="dt-paging-button page-item disabled">
                            <a class="page-link previous" aria-controls="base-style" aria-disabled="true" aria-label="Previous" data-dt-idx="previous" tabindex="-1">‹</a>
                        </li>
                    <?php else: ?>
                        <li class="dt-paging-button page-item">
                            <a class="page-link previous" href="<?php echo e($paginator->previousPageUrl()); ?>" aria-controls="base-style" aria-label="Previous" data-dt-idx="previous">‹</a>
                        </li>
                    <?php endif; ?>

                    
                    <?php $__currentLoopData = $elements; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $element): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if(is_string($element)): ?>
                            <li class="dt-paging-button page-item disabled">
                                <a class="page-link" aria-controls="base-style"><?php echo e($element); ?></a>
                            </li>
                        <?php endif; ?>

                        <?php if(is_array($element)): ?>
                            <?php $__currentLoopData = $element; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page => $url): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($page == $paginator->currentPage()): ?>
                                    <li class="dt-paging-button page-item active">
                                        <a class="page-link" aria-controls="base-style" aria-current="page"><?php echo e($page); ?></a>
                                    </li>
                                <?php else: ?>
                                    <li class="dt-paging-button page-item">
                                        <a class="page-link" href="<?php echo e($url); ?>" aria-controls="base-style"><?php echo e($page); ?></a>
                                    </li>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    
                    <?php if($paginator->hasMorePages()): ?>
                        <li class="dt-paging-button page-item">
                            <a class="page-link next" href="<?php echo e($paginator->nextPageUrl()); ?>" aria-controls="base-style" aria-label="Next" data-dt-idx="next">›</a>
                        </li>
                    <?php else: ?>
                        <li class="dt-paging-button page-item disabled">
                            <a class="page-link next" aria-controls="base-style" aria-disabled="true" aria-label="Next" data-dt-idx="next" tabindex="-1">›</a>
                        </li>
                    <?php endif; ?>

                    
                    <?php if($paginator->hasPages()): ?>
                        <li class="dt-paging-button page-item">
                            <a class="page-link last" href="<?php echo e($paginator->url($paginator->lastPage())); ?>" aria-controls="base-style" aria-label="Last" data-dt-idx="last">»</a>
                        </li>
                    <?php else: ?>
                        <li class="dt-paging-button page-item disabled">
                            <a class="page-link last" aria-controls="base-style" aria-disabled="true" aria-label="Last" data-dt-idx="last" tabindex="-1">»</a>
                        </li>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
    </div>
<?php endif; ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/chclcare/resources/views/admin/company/pagination.blade.php ENDPATH**/ ?>