<?php $__env->startSection('title', 'Add Claim'); ?>

<?php $__env->startSection('content'); ?> 

    
<div class="mb-5">
    <div class="card">
        <div class="card-body">

            <form id="claimForm" enctype="multipart/form-data" action="<?php echo e(route('admin.claim_store')); ?>" method="post">
                <?php echo csrf_field(); ?>

                <div class="row">  
                    <div class="col-12 mb-3">
                        <label class="form-label" for="client_id">Client Name</label>
                        <div class="position-relative">
                            <select name="client_id" id="client_id" class="select2-single" data-placeholder="Select Client">
                                <option></option>
                                <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($client->id); ?>"><?php echo e($client->forename); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <div class="text-danger error-message" id="client_id_error"></div>
                        </div>
                    </div>

                    <div class="col-12 mb-3">
                        <label class="form-label" for="policy_id">Policy Number</label>
                        <div class="position-relative">
                            <select name="policy_id" id="policy_id" class="select2-single" data-placeholder="Select Policy">
                                <option></option>
                                <?php $__currentLoopData = $policies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $policy): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($policy->id); ?>"><?php echo e($policy->plan_number); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <div class="text-danger error-message" id="policy_id_error"></div>
                        </div>
                    </div>


                    <div class="col-lg-12 mb-3">
                        <label class="form-label" for="description">Description</label>
                        <div class="position-relative">
                            <textarea class="form-control" id="description" name="description" rows="4"></textarea>
                            <div class="text-danger error-message" id="description_error"></div>
                        </div>
                    </div>
 

                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="satlement_date">Satlement Date</label>
                        <div class="position-relative">
                            <input type="text" class="form-control flatpicker-date" id="satlement_date" name="satlement_date" placeholder="Enter Satlement Date (YYYY-MM-DD)" />
                            <div class="text-danger error-message" id="satlement_date_error"></div>
                        </div>
                    </div>
 

                    <div class="col-lg-6 mb-3">
                        <label class="form-label" for="outstanding_amount">Outstanding Amount</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="outstanding_amount" name="outstanding_amount" placeholder="Enter Outstanding Amount" />
                            <div class="text-danger error-message" id="outstanding_amount_error"></div>
                        </div>
                    </div>


                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="amount_paid_this_month">Amount Paid This Month</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="amount_paid_this_month" name="amount_paid_this_month" placeholder="Enter Amount Paid This Month" />
                            <div class="text-danger error-message" id="amount_paid_this_month_error"></div>
                        </div>
                    </div>


                     <div class="col-lg-6 mb-3">
                        <label class="form-label" for="total_incurred_amount">Total Incurred Amount</label>
                        <div class="position-relative">
                            <input type="number" class="form-control" id="total_incurred_amount" name="total_incurred_amount" placeholder="Enter Total Incurred Amount" />
                            <div class="text-danger error-message" id="total_incurred_amount_error"></div>
                        </div>
                    </div>

  
                    <div class="col-12">
                        <button class="btn btn-primary" type="submit">Submit</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('specificscripts'); ?>
 
 <!-- apply validation only -->
 <script>
document.addEventListener('DOMContentLoaded', function() {
    const form = document.getElementById('claimForm');

    form.addEventListener('submit', function(event) {
        let isValid = true;

        // Clear previous errors
        document.querySelectorAll('.error-message').forEach(el => el.textContent = '');
  

        // Get form fields
        const client_id = document.getElementById('client_id');
        const policy_id = document.getElementById('policy_id');
        const description = document.getElementById('description'); 
        const satlement_date = document.getElementById('satlement_date'); 
        const outstanding_amount = document.getElementById('outstanding_amount');
        const amount_paid_this_month = document.getElementById('amount_paid_this_month');
        const total_incurred_amount = document.getElementById('total_incurred_amount');


        // Validate each field
        

        if (client_id.value.trim() === '') {
            isValid = false;
            document.getElementById('client_id_error').textContent = 'Client Id is required.';
        }
         if (policy_id.value.trim() === '') {
            isValid = false;
            document.getElementById('policy_id_error').textContent = 'Policy Id is required.';
        }

        
        if (description.value.trim() === '') {
            isValid = false;
            document.getElementById('description_error').textContent = 'Description is required.';
        }
 

        if (satlement_date.value.trim() === '') {
            isValid = false;
            document.getElementById('satlement_date_error').textContent = 'Satlement Date is required.';
        } 
 

        if (outstanding_amount.value.trim() === '' || isNaN(outstanding_amount.value)) {
            isValid = false;
            document.getElementById('outstanding_amount_error').textContent = 'Outstanding Amount is required and must be a number.';
        }


        if (amount_paid_this_month.value.trim() === '' || isNaN(amount_paid_this_month.value)) {
            isValid = false;
            document.getElementById('amount_paid_this_month_error').textContent = 'Amount Paid This Month is required and must be a number.';
        }

         if (total_incurred_amount.value.trim() === '' || isNaN(total_incurred_amount.value)) {
            isValid = false;
            document.getElementById('total_incurred_amount_error').textContent = 'Total Incurred Amount is required and must be a number.';
        }
   

        if (!isValid) {
            event.preventDefault(); // Prevent form submission if invalid
        }
    });
});




  $(".flatpicker-date").flatpickr({
        dateFormat: "Y-m-d",
        // maxDate: "today"
    });
 
</script>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.adminmaster', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/chclcare/resources/views/admin/claim/new.blade.php ENDPATH**/ ?>